GET https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/backlog/{backlog_id}

Returns one backlog position of a market maker bot.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/backlog/BACKLOG_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
backlog_id string Required Backlog position ID.
id string Required Hopper ID of a market maker bot.

Response

Example response (illustrative values)

{
    "data": {
        "id": "1370101",
        "marketmaker_id": "7700001",
        "base_currency": "USDT",
        "currency": "BTC",
        "exchange": "binance",
        "pair": "BTCUSDT",
        "amount": "0.001",
        "rate": "64900",
        "val": "64.9",
        "buy_order_id": "55140001",
        "buy_trade_id": "88110001",
        "sell_order_id": "0",
        "sell_trade_id": "0",
        "retry_order": null,
        "current_order_id": "0",
        "date": "2026-09-25 10:05:00"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.